export declare const Form: {
    InputText: ({ size, direction, requiredTitle, fullWidth, ...props }: {
        title?: string;
        requiredTitle?: string;
        description?: string;
        errorMessage?: string;
        inputProps: import('@starasia/input').IInputProps & {
            extended?: React.ReactNode;
        };
        containerProps?: import('@starasia/box').BoxProps;
        hideMessageError?: boolean;
        size?: "sm" | "md" | "lg";
        direction?: "vertical" | "horizontal";
        tooltip?: Omit<import('@starasia/tooltip').ITooltipProps, "children">;
        inputRef?: React.Ref<HTMLInputElement>;
        fullWidth?: boolean;
    }) => import("react").JSX.Element;
    InputDropdown: ({ size, direction, requiredTitle, fullWidth, ...props }: {
        title?: string;
        requiredTitle?: string;
        description?: string;
        errorMessage?: string;
        inputProps: import('@starasia/dropdown').IDropdown & {
            required?: boolean;
            fullWidth?: boolean;
            extended?: React.ReactNode;
        };
        onClickContainer?: () => void;
        customWidth?: string;
        hideMessageError?: boolean;
        direction?: "vertical" | "horizontal";
        size?: "sm" | "md" | "lg";
        tooltip?: Omit<import('@starasia/tooltip').ITooltipProps, "children">;
        fullWidth?: boolean;
    }) => import("react").JSX.Element;
    InputSingleFile: ({ size, direction, requiredTitle, fullWidth, ...props }: {
        errorMessage?: string;
        inputProps: import('..').IInputFilesProps;
        title?: string;
        requiredTitle?: string;
        description?: string;
        containerProps?: import('@starasia/box').BoxProps;
        hideMessageError?: boolean;
        size?: "sm" | "md" | "lg";
        direction?: "vertical" | "horizontal";
        tooltip?: Omit<import('@starasia/tooltip').ITooltipProps, "children">;
        fullWidth?: boolean;
    }) => import("react").JSX.Element;
    CheckBoxOptions: <T extends {
        id: number | string;
        name: string;
        description?: string;
        renderBadge?: React.ReactNode;
    }>({ size, direction, requiredTitle, fullWidth, required, ...props }: import('./components').ICheckBoxOptionsProps<T>) => import("react").JSX.Element;
    RadioOptions: <T extends {
        id: number;
        value: string;
        label: string;
        description?: string;
        subInput?: React.ReactNode;
    }>({ position, size, fullWidth, ...props }: import('./components').IRadioOptionsProps<T>) => import("react").JSX.Element;
    InputTextArea: ({ size, direction, requiredTitle, fullWidth, ...props }: {
        title?: string;
        requiredTitle?: string;
        description?: string;
        errorMessage?: string;
        inputProps: import('@starasia/textarea').TextareaProps;
        containerProps?: import('@starasia/box').BoxProps;
        hideMessageError?: boolean;
        size?: "sm" | "md" | "lg";
        direction?: "vertical" | "horizontal";
        tooltip?: Omit<import('@starasia/tooltip').ITooltipProps, "children">;
        inputRef?: React.Ref<HTMLTextAreaElement>;
        fullWidth?: boolean;
    }) => import("react").JSX.Element;
    ToggleForm: ({ size, direction, requiredTitle, required, fullWidth, ...props }: {
        title?: string;
        titleDescription?: string;
        errorMessage?: string;
        label: string;
        description?: string;
        checked: boolean;
        onChange: () => void;
        size?: "sm" | "md" | "lg";
        direction?: "vertical" | "horizontal";
        requiredTitle?: string;
        containerProps?: import('@starasia/box').BoxProps;
        required?: boolean;
        tooltip?: Omit<import('@starasia/tooltip').ITooltipProps, "children">;
        fullWidth?: boolean;
    }) => import("react").JSX.Element;
    ActionButton: ({ variant, size, ...props }: {
        title?: string;
        disabled?: boolean;
        onClick?: () => void;
        type?: "submit" | "reset" | "button" | undefined;
        iconLeft?: import('@starasia/icon').IconName;
        iconRight?: import('@starasia/icon').IconName;
        size?: "xs" | "sm" | "md" | "lg";
        variant?: "primary" | "secondary" | "secondary-danger" | "success" | "secondary-primary";
    }) => import("react").JSX.Element;
    FormTitle: (props: import('./components').IFormTitle) => import("react").JSX.Element;
    InputDate: ({ size, direction, requiredTitle, fullWidth, ...props }: {
        title?: string;
        requiredTitle?: string;
        description?: string;
        errorMessage?: string;
        inputProps: import('@starasia/date').IDateProps & {
            required?: boolean;
        };
        onClickContainer?: () => void;
        customWidth?: string;
        hideMessageError?: boolean;
        direction?: "vertical" | "horizontal";
        size?: "sm" | "md" | "lg";
        tooltip?: Omit<import('@starasia/tooltip').ITooltipProps, "children">;
        fullWidth?: boolean;
    }) => import("react").JSX.Element;
    InputImgFile: ({ size, direction, requiredTitle, fullWidth, required, ...props }: {
        errorMessage?: string;
        inputProps: import('..').InputImageProps;
        title?: string;
        requiredTitle?: string;
        required?: boolean;
        description?: string;
        containerProps?: import('@starasia/box').BoxProps;
        hideMessageError?: boolean;
        size?: "sm" | "md" | "lg";
        direction?: "vertical" | "horizontal";
        tooltip?: Omit<import('@starasia/tooltip').ITooltipProps, "children">;
        fullWidth?: boolean;
    }) => import("react").JSX.Element;
    Custom: ({ size, direction, requiredTitle, fullWidth, ...props }: {
        title?: string;
        requiredTitle?: string;
        description?: string;
        inputProps: {
            required?: boolean;
            extended?: React.ReactNode;
        };
        containerProps?: import('@starasia/box').BoxProps;
        hideMessageError?: boolean;
        size?: "sm" | "md" | "lg";
        direction?: "vertical" | "horizontal";
        tooltip?: Omit<import('@starasia/tooltip').ITooltipProps, "children">;
        fullWidth?: boolean;
    }) => import("react").JSX.Element;
};
export * from './ToggleStatus';
